Bug 8723 - Add pthread-based aio module to 3.6.3.
Add pthread-based aio module to 3.6.3.
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: File services
unspecified
All All
: P5 enhancement
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-26 00:57 UTC by Jeremy Allison
Modified: 2012-05-25 19:12 UTC (History)
0 users

See Also:


Attachments
git-am patch for 3.6.3. (29.78 KB, patch)
2012-01-26 00:58 UTC, Jeremy Allison
no flags Details
git-am fix for 3.6.3. (30.86 KB, patch)
2012-01-26 01:21 UTC, Jeremy Allison
no flags Details
Makefile fix? (742 bytes, patch)
2012-01-27 14:01 UTC, Christian Ambach
no flags Details
Makefile fix? (705 bytes, patch)
2012-01-27 14:06 UTC, Christian Ambach
no flags Details
Updated git-am fix contianing Christian's Makefile fix. (31.87 KB, patch)
2012-01-27 18:28 UTC, Jeremy Allison
ambi: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2012-01-26 00:57:23 UTC
I'd like to add the vfs_aio_pthread module to our code for 3.6.3.

git patchset containing the changes to follow.

Jeremy.
Comment 1 Jeremy Allison 2012-01-26 00:58:12 UTC
Created attachment 7255 [details]
git-am patch for 3.6.3.

Code current for vfs_aio_pthread from master as of 25th Jan. 2012.

Jeremy.
Comment 2 Jeremy Allison 2012-01-26 01:21:56 UTC
Created attachment 7256 [details]
git-am fix for 3.6.3.

Updated with man page typo fix.
Comment 3 Christian Ambach 2012-01-27 09:14:47 UTC
Do you want Volker's panic fix as well?
Comment 4 Christian Ambach 2012-01-27 09:39:21 UTC
Ignore my previous comment. Didn't see that the commit that adds the file in the patchset adds the latest state of the file in a single patch instead of containing the multiple commits in master that add up to the current state.
Comment 5 Christian Ambach 2012-01-27 14:01:42 UTC
Created attachment 7260 [details]
Makefile fix?

I applied the patchset to 3.6 and it build, but the module failed to init when build as static module

Quick fix was to add these changes to Makefile.in
Comment 6 Christian Ambach 2012-01-27 14:06:29 UTC
Created attachment 7261 [details]
Makefile fix?

previous attachment had bad formatting
Comment 7 Jeremy Allison 2012-01-27 18:28:07 UTC
Created attachment 7262 [details]
Updated git-am fix contianing Christian's Makefile fix.

Thanks Christian - updated git-am fix inclusing your change uploaded.

Jeremy.
Comment 8 Jeremy Allison 2012-01-27 18:29:38 UTC
Note - this of course will be meant for 3.6.4, not 3.6.3.

Jeremy.
Comment 9 Christian Ambach 2012-02-08 14:17:30 UTC
Comment on attachment 7262 [details]
Updated git-am fix contianing Christian's Makefile fix.

builds and loads now on my Linux systems
Comment 10 Jeremy Allison 2012-02-08 17:51:31 UTC
Ok, re-assigning to Karolin for inclusion in 3.6.next.
Jeremy.
Comment 11 Karolin Seeger 2012-02-12 20:05:31 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!